body {
	font-family: 'Montserrat', sans-serif;
	font-size: 13px;
	overflow-x: hidden;
}

#pageLoader {
	height: calc(100% - 47px);
	top:47px;
}

.display-none {
	display: none;
}

.display-block {
	display: block;
}

.display-inline-block {
	display: inline-block;
}

.flex-none {
	flex: none;
}

.bg-app {
	background-color: #b51d24;
}

.app-navbar .page-nav .nav-item .nav-link:hover {
	background-color: #8c1218;
}

.app-navbar .page-nav .nav-item .nav-link.active {
	background-color: #8c1218;
}

.blur-bg {
	background-color: rgba(254, 254, 254, 0.8);
}

.pointer-none {
	pointer-events: none;
}

.boxshadow-none, .boxshadow-none:focus {
	box-shadow: none;
}

.hide {
	display: none !important;
}

.show {
	display: unset;
}

.position-relative {
	position: relative;
}

.nav-link.show {
	display: block;
}

.font-weight-400 {
	font-weight: 400;
}

.font-weight-500 {
	font-weight: 500;
}

.font-weight-600 {
	font-weight: 600;
}

.font-weight-700 {
	font-weight: 700;
}

.fs-12 { font-size: 12px !important; }
.fs-13 { font-size: 13px !important; }
.fs-14 { font-size: 14px !important; }
.fs-15 { font-size: 15px !important; }
.fs-16 { font-size: 16px !important; }
.fs-18 { font-size: 18px !important; }
.fs-20 { font-size: 20px !important; }
.fs-21 { font-size: 21px !important; }
.fs-24 { font-size: 24px !important; }
.fs-36 { font-size: 36px !important; }

.zidx-1000 {
	z-index: 1000;
}

.zidx-1050 {
	z-index: 1050;
}

.t-50 {
	top: 50px;
}
.t-54 {
	top: 54px;
}

.w-80 {
	width: 80px;
}

.w-150 {
	width: 150px;
}

.width-50 {
	width: 50px;
}

.width-50-per {
	width: 50%;
}

.width-60 {
	width: 60px;
}

.width-70 {
	width: 70px;
}

.width-75 {
	width: 75px;
}

.width-18 {
	width: 18px;
}

.width-100 {
	width: 100px;
}

.height-18 {
	height: 18px;
}

.height-38 {
	height: 38px;
}

.bg-transparent {
	background: transparent;
}

.min-54-max-75-width {
	min-width: 54px;
	max-width: 75px;
}

.min-width-50 {
	min-width: 50px;
}

.min-width-55 {
	min-width: 55px;
}

.min-width-60 {
	min-width: 60px;
}

.min-width-65 {
	min-width: 65px;
}
.min-width-70 {
	min-width: 70px;
}
.min-width-75 {
	min-width: 75px;
}
.min-width-80 {
	min-width: 80px;
}
.min-width-90 {
	min-width: 90px;
}
.min-width-100 {
	min-width: 100px;
}
.min-width-110 {
	min-width: 110px;
}
.min-width-120 {
	min-width: 120px;
}
.min-width-130 {
	min-width: 130px;
}
.min-width-140 {
	min-width: 140px;
}
.min-width-150 {
	min-width: 150px;
}
.min-width-160 {
	min-width: 160px;
}
.min-width-170 {
	min-width: 170px;
}
.min-width-180 {
	min-width: 180px;
}
.min-width-190 {
	min-width: 190px;
}
.min-width-200 {
	min-width: 200px;
}

.min-width-250 {
	min-width: 250px;
}

.w-75 {
	width: 75px;
	min-width: 75px;
	max-width: 75px;
}

.max-height-250 {
	max-height: 250px;
}

.max-height-200 {
	max-height: 200px;
}

.max-height-230 {
	max-height: 230px;
}

.max-width-100 {
	max-width: 100px;
}

.max-width-600 {
	max-width: 600px;
}

.max-width-700 {
	max-width: 700px;
}

.max-width-86-perc {
	max-width: 86%;
}

.max-width-80-perc {
	max-width: 80%;
}

.max-width-81-perc {
	max-width: 81%;
}

.max-width-100-perc {
	max-width: 100%;
}

.top2 {
	top: 2px;
}

.gap-8 {
	gap: 8px;
}

.gap-12 {
	gap: 12px;
}

.column-gap-8 {
	column-gap: 8px;
}

.max-width-calc-20 {
	max-width: calc(100% - 20px);
}

.min-width-300 {
	min-width: 300px;
}

.min-width-350 {
	min-width: 350px;
}

.min-max-width-15 {
	min-width: 15px;
	max-width: 15px;
}

.min-max-width-20 {
	min-width: 20px;
	max-width: 20px;
}

.min-max-width-50 {
	min-width: 50px;
	max-width: 50px;
}
.min-max-width-53 {
	min-width: 53px;
	max-width: 53px;
}
.min-max-width-54 {
	min-width: 54px;
	max-width: 54px;
}
.min-max-width-55 {
	min-width: 55px;
	max-width: 55px;
}
.min-max-width-60 {
	min-width: 60px;
	max-width: 60px;
}
.min-max-width-65 {
	min-width: 65px;
	max-width: 65px;
}
.min-max-width-70 {
	min-width: 70px;
	max-width: 70px;
}
.min-max-width-75 {
	min-width: 75px;
	max-width: 75px;
}
.min-max-width-80 {
	min-width: 80px;
	max-width: 80px;
}
.min-max-width-84 {
	min-width: 84px;
	max-width: 84px;
}
.min-max-width-85 {
	min-width: 85px;
	max-width: 85px;
}
.min-max-width-88 {
	min-width: 88px;
	max-width: 88px;
}
.min-max-width-95 {
    min-width: 95px;
    max-width: 95px;
    width: 95px;
}
.min-max-width-100 {
	min-width: 100px;
	max-width: 100px;
}
.min-max-width-105 {
	min-width: 105px;
	max-width: 105px;
}
.min-max-width-110 {
	min-width: 110px;
	max-width: 110px;
}
.min-max-width-115 {
	min-width: 115px;
	max-width: 115px;
}
.min-max-width-122 {
    min-width: 122px;
    max-width: 122px;
    width: 123px;
}
.min-max-width-125 {
    min-width: 125px;
    max-width: 125px;
}
.min-max-width-134 {
	min-width: 134px;
    max-width: 134px;
}
.min-max-width-141 {
    min-width: 141px;
    max-width: 141px;
}
.min-max-width-150 {
  min-width: 150px;
  max-width: 150px;
}
.min-max-width-160 {
  min-width: 160px;
  max-width: 160px;
}
.min-max-width-170 {
	min-width: 170px;
	max-width: 170px;
}
.min-max-width-190 {
	min-width: 190px;
	max-width: 190px;
}
.min-max-width-200 {
	min-width: 200px;
	max-width: 200px;
}
.min-max-width-270 {
	min-width: 270px;
	max-width: 270px;
}
.min-max-width-490 {
	min-width: 491px;
	max-width: 491px;
	/* width: 492px !important; */
}
.min-max-width-528 {
    min-width: 528px;
    max-width: 528px;
}
.min-max-width-538 {
    min-width: 538px;
    max-width: 538px;
}

.width-unset {
	width: unset !important;
}

.width-200 {
	width: 200px;
}

.width-250 {
	width: 250px;
}

.width-300 {
	width: 300px;
}

.width-7p {
	width: 7%;
}

.width-45p {
	width: 45%;
}

.max-width200 {
	max-width: 200px;
}

.word-break-all {
	word-break: break-all;
}

.padding-top3 {
	padding-top: 3px;
}

.width-self {
	width: fit-content;
}

.margin-auto {
	margin-left: auto;
	margin-right: auto;
}

.marginSides23 {
	margin-left: 23px;
	margin-right: 23px;
}

.margin0 {
	margin: 0px !important;
}

.margin-top2 {
	margin-top: 2px;
}

.margin-top3 {
	margin-top: 3px;
}

.margin-top10 {
	margin-top: 10px;
}

.margin-top15 {
	margin-top: 15px;
}

.margin-top30 {
	margin-top: 30px;
}

.margin-right2 {
	margin-right: 2px;
}

.margin-right5 {
	margin-right: 5px;
}

.margin-right10 {
	margin-right: 10px;
}

.margin-right15 {
	margin-right: 15px;
}

.margin-right16 {
	margin-right: 16px;
}

.margin-right20 {
	margin-right: 20px;
}

.margin-bottom0 {
	margin-bottom: 0px !important;
}

.margin-bottom10 {
	margin-bottom: 10px !important;
}

.margin-left4 {
	margin-left: 4px;
}

.margin-left10 {
	margin-left: 10px;
}

.padding-bottom10 {
	padding-bottom: 10px !important;
}
.padding-left12 {
	padding-left: 12px !important;
}

.padding-right12 {
	padding-right: 12px !important;
}

.max-w-95 {
	max-width: 95px;
}

.userViewItem .item-text {
	overflow: hidden;
	text-overflow: ellipsis;
}

.no-border {
	border: none !important;
}

.no-border-input {
	font-size: 18px !important;
	border: none !important;
	margin: 0 !important;
	box-shadow: none;
}

.no-border-input:focus {
	font-size: 18px !important;
	border: none !important;
	margin: 0 !important;
	box-shadow: none;
}

.no-border-right {
	border-right: 0px !important;
}

.page-custom-heading {
	display: inline-block;
	margin-left: 15px;
}

.header-label {
	margin-bottom: .75rem;
}

.paginate_button.active a.page-link {
	color: #000;
	background-color: transparent;
	border: 1px solid #b51d248c;
}

.page-item.disabled .page-link {
	background-color: transparent;
}

.paginate_button a.page-link:focus, .paginate_button.active a.page-link:focus
	{
	box-shadow: none;
}

.paginate_button a.page-link:hover {
	background-color: transparent;
}

.page-link {
	padding: 5px 10px;
	color: #000;
	border: none;
	background: transparent;
}

div.dataTables_wrapper div.dataTables_info {
	padding-top: 4px !important;
}

.container-fluid {
	padding: 0px;
}

.datatable-header-background {
	padding-top: 10px;
	margin: 0px;
}

.vertical-normal-list {
	margin: 0px;
	padding: 0px;
	list-style: none;
}

.vertical-normal-list li {
	display: inline-block;
}

#pageDataHeader .card {
	border: none;
}

#pageDataHeader .vertical-normal-list {
	font-size: 14px;
	margin-top: 10px;
}

#pageDataHeader .card .card-body {
	padding: 2px 5px;
}

#optionsGrid {
	margin: 5px 22px 0 0;;
	padding: 0px;
}

#pageDataHeader {
	-webkit-box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.08);
	-moz-box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.08);
	box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.08);
}

.right-conf-nav {
	padding-right: 20px;
	/* padding-top: 2px; */
	display: flex;
	align-items: center;
}

.icon-saws-connection {
	width: 27px;
	margin-left: 3px;
	height: 31px;
}

.app-navbar .right-conf-nav .nav-link {
	padding-block: 8px;
}

.nav-li-box {
	/* margin-top: -15px;
	margin-bottom: -12px; */
	border-right: 1px solid white;
	border-left: 1px solid white;
}

#optionsGrid .btn-toolbar button {
	margin-left: 6px;
}

.icon-button .icon {
	font-size: 16px;
	padding: 3px 0px;
}

.icon-dropdown [data-toggle="dropdown"] {
	padding: 0px;
	background: transparent;
	border-radius: 0;
	outline: none;
	box-shadow: none;
	padding: 4px;
}

.icon-dropdown [data-toggle="dropdown"]:after {
	content: unset;
}

.icon-dropdown {
	border-width: 1px;
	border-color: #fff;
	border-style: solid;
}

.right-conf-nav li,
.right-conf-nav li.icon-dropdown{
	border: none;
	border-right: 1px solid #fff;
}

.right-conf-nav li:last-child {
	border: none;
}

.right-conf-nav a.nav-link.notify-icon::after {
    content: " ";
    width: 14px;
    height: 14px;
    background: #FE952F;
    position: absolute;
    top: 6px;
    right: 12px;
    border-radius: 50%;
    border: 1px solid #fff;
}

.right-conf-nav a.nav-link .firm-demand-refresh-icon {
	position: relative;
	top: 2px;
}

.icon-dropdown .dropdown-menu .dropdown-header {
	font-size: 16px;
}

.icon-dropdown .dropdown-menu .dropdown-item .font-icon, .icon-dropdown .dropdown-menu .dropdown-item .btn-toolbar
	{
	visibility: hidden;
}

.icon-dropdown .dropdown-menu .dropdown-item:hover {
	background: #f2f9ff;
	color: #b51d248c;
}

.icon-dropdown .dropdown-menu .dropdown-item:hover .font-icon,
	.icon-dropdown .dropdown-menu .dropdown-item:hover .btn-toolbar {
	visibility: visible;
}

.icon-label-link .icon {
	margin-right: 4px;
}

.form-group.muti-element-group .form-row {
	margin-bottom: 32px;
}

.form-group.muti-element-group label {
	margin-bottom: 12px;
}

a.custom-btn {
	text-decoration: none;
}

a.disabled {
	color: #CACACA !important;
	pointer-events: none;
}

.btn.disabled {
	color: #CACACA !important;
	pointer-events: none;
}

.table th, .table td {
	vertical-align: middle;
	box-sizing: border-box;
}

.table tr.dt-column-search th {
	vertical-align: middle;
}

.vertical-divider {
	display: inline-block;
	width: 1px;
	height: 20px;
	background-color: #ccc;
	vertical-align: middle;
	margin-left: 10px;
	margin-right: 3px;
}

.horizontal-divider {
	display: inline-block;
	width: 10px;
	height: 1px;
	background-color: #ccc;
	vertical-align: middle;
	/* margin-left: 10px; */
	/* margin-right: 3px; */
}

.pull-right {
	float: right !important;
}

#pageDataHeader .vertical-normal-list span {
	color: #000;
	font-size: 12px;
	display: inline-block;
	font-weight: 500;
}

.dropdown-item.active {
	color: #212529;
	background-color: transparent;
}

.dropdown-item.active>.font-icon {
	visibility: visible !important;
}

.form-control {
	font-size: 13px;
	border-radius: 4px !important;
}

.chosen-container {
	width: 100% !important;
}

.chosen-container a.chosen-single, .chosen-container ul.chosen-choices {
	width: 100% !important;
	min-height: 34px !important;
	height: unset !important;
	max-height: 60px;
}

.chosen-container ul.chosen-choices {
	overflow-y: scroll;
}

.chosen-container li.search-field {
	margin-top: 5px !important;
}

.chosen-container li.search-field input {
	height: 20px !important;
}

.gj-datepicker input {
	width: calc(100% - 49px) !important;
}

form input {
	height: calc(2.25rem + 2px) !important;
}

.popover {
	font-size: 13px;
}

.dropdown-menu {
	font-size: 13px;
}

.cursor-pointer {
	cursor: pointer;
}

th[aria-label="#"]::before, th[aria-label="#"]::after {
	display: none !important;
}

.blue {
	color: #46aaf7;
}

.red {
	color: #e55e5e
}

.chosen-container-active .chosen-choices {
    border: 1px solid #b51d248c;
}

.chosen-container .chosen-results li.highlighted {
    background-color: #b51d248c;
    background-image: -webkit-gradient(linear,50% 0,50% 100%,color-stop(20%,#d0444a1),color-stop(90%,#d05f64));
    background-image: -webkit-linear-gradient(#b51d24 20%,#d05f64 90%);
    background-image: -moz-linear-gradient(#b51d24 20%,#d05f64 90%);
    background-image: -o-linear-gradient(#b51d24 20%,#d05f64 90%);
    background-image: linear-gradient(#b51d24 20%,#d05f64 90%);
    color: #fff;
}

.disable-element {
	opacity: 0.5;
	pointer-events: none;
}

.userViewItem {
	cursor: pointer;
}

#userViewContainer input {
	width: 100%
}

#userViewContainer .dateRadioButtons{
	width: 50%;
}

#userViewContainer .delete-filter-criteria-row {
	top: 12px;
	right: -10px;
	font-size: 16px
}

.visibility-hidden {
	visibility: hidden;
}

.vendorInfoTable tr,
.vendorInfoTable td{
	padding: 5px;
	border: none;
}

.vendorInfoTable tr td:nth-child(1) {
	text-align: right;
	color: grey;
	width: 130px;
}

.vendorInfoTable tr td:nth-child(2) {
	text-align: left;
	width: 130px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

input[type=number] {
	-moz-appearance: textfield;
}
/****************** Form Validation Error ***************/
.error-message-overlay {
	color: red;
}

.error-message-overlay .error {
	text-align: right;
}
/****************** Form Validation Error ***************/
@media only screen and (max-width: 600px) {
	.col-xs-12 {
		margin-top: 10px;
	}
}

.responsive-form .row {
	margin-bottom: 30px;
}

.responsive-form label {
	float: right;
	font-weight: 600;
	margin-top: 8px;
}

.multiselect-error {
	position: absolute;
	top: 33px;
	right: 8px;
}

select.chosen-select {
	visibility: visible !important;
	height: 0px;
	padding: 0px;
	display: block;
	border: none;
}

.btn-xs {
	padding-top: 4px;
	padding-right: 8px;
	padding-bottom: 4px;
	padding-left: 8px;
	font-size: 12px;
}

.no-mouse-event {
	pointer-events: none;
}

.icon-sm {
	font-size: 12px;
	position: relative;
	top: 3px;
}

.outline-none {
	outline: none;
}

#countrySettingsDropdown {
	top: 35px;
	right: -8px;
}

#countrySettingsForm {
	width: 80%;
	margin-right: auto;
	margin-left: auto;
}

.settings-container {
	cursor: pointer;
}

.no-pointer {
	cursor: default
}

.form-control:focus {
	border-color: #b51d248c;
	outline: 0;
	box-shadow: none !important;
}

.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_default, .xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_current, .xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box>div>div.xdsoft_current {
    background: #b51d248c !important;
    box-shadow: #b51d248c 0 1px 3px 0 inset !important;
    color: #fff;
    font-weight: 700;
}

.font-weight-500 { font-weight: 500 !important; }
.font-weight-600 { font-weight: 600 !important; }
.text-grey { color: #A0A0a0; }
.shadow-light { box-shadow: 0 0px 22px 5px rgba(0,0,0,.06)!important; }
.shadow-sm { box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important; }
.shadow { box-shadow: 0 .5rem 1rem rgba(0,0,0,.15)!important; }
.shadow-lg { box-shadow: 0 1rem 3rem rgba(0,0,0,.175)!important; }
.shadow-none { box-shadow: none !important; }

.flip-element {
    transform: scaleX(-1);
    -ms-transform: scaleX(-1);
    -moz-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
}

#rmNotifAlertDropdown {
	top: 45px;
	right: -1px;
}

.notif-message-div {
	white-space: normal
}

.ellipsis {
	overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.dialog-field-height {
	min-height: calc(2.25rem + 2px);
}
.hover-eye-icon.active {
    display: inline-block;
}

#countrySettingsForm #mppaLocationsContainer .chosen-container ul.chosen-choices {
	max-height: 120px;
}

.btn-group.btn-split-dropdown-group.show {
	display: inline-flex;
}

.border-trasnparent {
    border-color: transparent;
}

.dataTables_scroll tr td.disabled {
    background-color: #F5F5F5;
}

.input-icon {
    position:relative;
}
.input-icon input {
    padding-right: inherit}
.input-icon .icon {
    position:absolute;
    top:12px;
    right:12px;
}

.input-focus-color:focus {
	border-color: #b51d248c;
	outline: none;
	box-shadow: none !important;
}



/* TYPEAHEAD STYLEING */
.tt-query { /* UPDATE: newer versions use tt-input instead of tt-query */
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}

.tt-menu { /* UPDATE: newer versions use tt-menu instead of tt-dropdown-menu */
    width: 422px;
    padding: 8px 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 10px rgba(0,0,0,.2);
}

.tt-suggestion {
    cursor: pointer;
}

.tt-suggestion:hover {
    background: #f2f9ff;
    color: #b51d248c;
}

.tt-suggestion p {
    margin: 0;
}

.tt-suggestion.tt-cursor {
    color: #fff;
    background-color: #0097cf;
}



/******* APP THEME *********/
.app-dark-color {
    color: #b51d24;
}

.daterangepicker .calendar-table .active.available {
    background-color: #b51d24
}

.daterangepicker .calendar-table .in-range.available:not(.end-date):not(.start-date) {
    background-color: #ffe8e9
}

/*************************************/
/*			BUTTONS					*/
/***********************************/

.app-btn-primary {
  background-color:#b51d24;
  color:#FFF;
  border-width:1px;
  border-color:#b51d24;
  box-shadow:0px 0px 2px 1px #ddd;
}

.app-btn-outline-primary {
  border-color:#b51d24;
  background-color:transparent;
  color:#b51d24;
}

.app-btn-outline-primary:hover:enabled, .app-btn-primary:hover:enabled {
  background-color:#b51d24!important;
  color:#FFF;
  border-color:#ee9397;
}

.app-btn-outline-primary:disabled, .app-btn-primary:disabled {
  opacity: 0.5;
}
.app-btn-primary:disabled {
  color:#FFF;
}
.app-btn-outline-primary:disabled {
  color:#b51d24;
}

#optionsGrid .btn-toolbar button {
  margin-left:9px;
  padding: 3px 15px;
}

.app-btn-outline-primary.active {
  background-color:#b51d24;
  color:#FFFFFF;
}

.btn-group-toggle .app-btn-outline-primary {
  box-shadow:none;
}

.btn-group-toggle .app-btn-outline-primary:not(.active):hover {
  background-color:#b51d24!important;
  color:#FFF;
}

/*************************************/

/******* CHECK AVAILABILITY ACCORDIONS ********/
.app-accordion .card {
    border-left: none;
    border-right: none;
    border-top: none;
	border-bottom: 1px solid rgba(0,0,0,.125);
}
.app-accordion .card .card-header {
	background-color: transparent;
	border-bottom:0px;
}

.app-accordion .card-header a,
.app-accordion .card-header button {
    color: #212529;
    font-size: 14px;
    font-weight: 500;
    text-decoration: none;
    border: none;
    background: transparent;
    padding: 0px;
    cursor: pointer;
    outline: none;
}

.app-accordion .card-header a:hover,
.app-accordion .card-header button:hover  {
    font-weight: 600;
}

.app-accordion .card-header a:before,
.app-accordion .card-header button:before {
	content:'\0053';
	font-size: 12px;
    font-family: 'biwebapp-material';
    font-weight: normal;
    position: absolute;
    left: 0px;
}

.app-accordion .card-header a[aria-expanded="false"]:before,
.app-accordion .card-header button[aria-expanded="false"]:before {
    transform: rotate(180deg);
}

/*************************************/

/************* APP NAV TABS *********/
.nav-tabs.app-nav-tabs {
	border-bottom:0px;
}

.app-nav-tabs .nav-link {
	color:#212529;
	font-size:14px;
	font-weight:600;
	border-radius:0px;
	border-width:0px;
	border-top:3px solid transparent;
	padding: 8px;
}

.app-nav-tabs .nav-link.active {
	color:#9A272C;
	border-top-color:#9A272C;
}

/*************************************/

tr:not(.selected) td.cell-color-yellow {
	background: #FFEDA3;
}
tr:not(.selected) .cell-color-purple {
	background: #F1E6FF;
}
tr:not(.selected) .cell-color-light-green {
	background: #DDF3D5;
}



/************** COLUMN SEARCH MULTI-SELECT ********************/
.ui-multiselect {
	padding: 0.25rem;
	padding-left: 0.5rem;
	text-align: left;
	background: #fff;
	display: flex;
	/* align-items: center; */
	flex-flow: row-reverse;
	justify-content: space-between;
	font-size: 13px;
	font-family: inherit;
	border-color: #ced4da;
}

.ui-multiselect .ui-multiselect-open {
	padding-left: 4px;
}

.ui-multiselect>span:nth-child(2) {
	white-space: nowrap;
	overflow: hidden;
}

.ui-multiselect:focus {
	outline: none;
}

.ui-multiselect.ui-state-default {
	color: #495057;
}

.ui-multiselect.ui-state-active {
	color: inherit;
	border-color: #b51d248c;
}

.ui-multiselect-menu {
	padding: 0px;
	border-radius: 0;
	min-width: 100px;
	border-color: #CED4DA;
	box-shadow: 0 4px 5px rgba(0, 0, 0, .15);
	font-family: inherit;
}

.ui-multiselect-menu .loader {
	padding: 5px 6px;
	border-top: 1px solid #ddd;
	border-bottom: 1px solid #ddd;
}

.ui-multiselect-menu .ui-multiselect-header {
	background: #fff;
	border: none;
	border-bottom: 1px solid #ddd;
}

.ui-multiselect-menu .ui-multiselect-header .ui-helper-reset li {
	padding-right: 0px;
}

.ui-multiselect-menu .ui-multiselect-header .ui-helper-reset .ui-multiselect-none {
	display: flex;
	align-items: center;
	margin-top: 6px;
	gap: 3px;
}

.ui-multiselect-menu .ui-multiselect-header .ui-helper-reset .ui-multiselect-none .fa {
	line-height: 15.21px;
}

.ui-multiselect-menu .ui-multiselect-header .ui-helper-reset .ui-multiselect-none:hover {
	cursor: pointer;
	text-decoration: underline;
	cursor: pointer;
	text-decoration: underline;
}

.ui-multiselect-menu .ui-multiselect-header .ui-helper-reset .ui-multiselect-none .ui-icon {
	width: 10px;
	height: 10px;
	background-position: -84px -131.5px;
	margin-top: 0px;
}

.ui-multiselect-menu .ui-multiselect-header {
	border-radius: 0;
	padding: 8px 4px 8px 4px;
	margin-bottom: 0px;
}

.ui-multiselect-filter .ui-multiselect-filter-label {
	margin-bottom: 0px;
}

.ui-multiselect-menu .ui-multiselect-checkboxes {
	padding: 0px;
	overflow: auto !important;
}

.ui-multiselect-menu .ui-multiselect-checkboxes li {
	padding-right: 0px;
}

.ui-multiselect-menu .ui-multiselect-checkboxes li label {
	padding: 5px 6px;
	text-indent: unset;
	border-radius: 0px;
	border: none;
	cursor: pointer;
	margin-bottom: 0px;
}

.ui-multiselect-menu .ui-multiselect-checkboxes li label.ui-state-hover {
	background-color: #b51d248c;
	color: #fff;
	background-image: -webkit-linear-gradient(#b51d24 20%, #d05f64 90%);
	background-image: -moz-linear-gradient(#b51d24 20%, #d05f64 90%);
	background-image: -o-linear-gradient(#b51d24 20%, #d05f64 90%);
	background-image: linear-gradient(#b51d24 20%, #d05f64 90%);
	/* background-image: -webkit-gradient(linear, 50% 0, 50% 100%, color-stop(20%, #d0444a1), color-stop(90%, #d05f64)); */
}

.ui-multiselect-menu .ui-multiselect-checkboxes li.selected label.ui-state-hover {
	background: transparent;
	color: #ccc;
}

/* .ui-multiselect-menu .ui-multiselect-checkboxes li:hover label {
	border: none;
	background: inherit;
	color: inherit;
} */

.ui-multiselect-menu .ui-multiselect-checkboxes li label input[type="checkbox"]{
	display: none;
}

.ui-multiselect-menu .ui-multiselect-checkboxes .selected {
	color: #ccc;
	cursor: default;
}

/* .ui-multiselect-hasfilter ul { position:relative; top:2px }
.ui-multiselect-filter { float:left; margin-right:10px; font-size:1em; width:100%; } */
/* .ui-multiselect-header .ui-multiselect-filter input { width:100px; font-size:.9em; margin-left:5px; height:15px; padding:2px; border:1px solid #292929; -webkit-appearance:textfield; -webkit-box-sizing:content-box; } */
.ui-multiselect-excluded {display: none}

.ui-multiselect-menu .no-match-found {
	padding: 6px;
	color: #888;
	text-align: center;
}

.dt-column-search .ui-widget.ui-multiselect {
	width: 100%;
}

.ui-multiselect-menu .ui-multiselect-checkboxes {
	overflow: auto;
	height: auto;
	max-height: 230px;
}

.ui-multiselect-menu .ui-multiselect-checkboxes input:checked {
	width: auto;
	min-width: fit-content;
}

.ui-multiselect-menu .ui-multiselect-filter .ui-multiselect-filter-label input[type="search"] {
	width: 100% !important;
  padding: 2px 6px;
  height: auto;
}

.datetime-search-field.form-control[readonly] {
	background-color: #FFFFFF;
}


.popover .loading-container {
	width: 150px;
	height: 100px;
}

.popover .loading-container .loadersmall {
	left: 32px;
}

.popover .supp-single-line-network-eye,
.popover .fgprod-single-line-network-eye {
	max-height: 230px; 
	width: 300px; 
	font-size: 12px; 
	font-family: unset;
}

.popover .fgprod-single-line-network-eye {
	max-height: 240px;
}

.popover .supp-network-eye,
.popover .fgprod-network-eye {
	max-height: 200px;
	font-size: 12px;
	font-family: unset;
}

.mppa-comment-text-area {
	width: 420px;
	height: 117px;
	resize: none;
}


/* LOGIN PAGE */
.login-layout {
	background-color:#F9FCFF
}

.login-layout .login-container-wrapper {
	margin-top:56px;
}

.login-layout .login-container {
	width: 420px;
	margin: 0 auto;
}

.login-layout .login-container .app-logo-container {
	margin-bottom: 30px;
}

.login-layout .login-container .app-logo-container h1 {
	color: #b51d24
}

#login-box .login-box-inner-wrapper {
	background-color: #FFFFFF;
	padding: 46px;
}

#login-form .form-group {
	margin-bottom: 34px;
}

.header-title-sub-items {
    display: flex;
    align-items: center;
    gap: 8px;
    color: gray;
    font-size: 13px;
    margin-left: 4px;
}

.header-title-sub-items .header-title-sub-item {
    display: flex;
    align-items: center;
    gap: 8px;
}

.header-title-sub-items .header-title-sub-item:not(:first-child):before {
    content: " ";
    width: 1px;
    height: 10px;
    background: gray;
}

.header-title-sub-items .header-title-sub-item .sub-item-label {
    font-weight: 600;
}

td.cell-loader {
	position: relative;	
}

td.cell-loader:before {
    content: "\f110";
    position: absolute;
    top: 36%;
    right: 5px;
    text-align: center;
    font-size: 3em;
    font: normal normal normal 14px / 1 FontAwesome;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -webkit-animation: fa-spin 1s infinite steps(8);
    animation: fa-spin 1s infinite steps(8);
    /* width: 100%; */
    height: auto;
    opacity: 0.7;
}

.dialog-report-frame-view {
		width: calc(100vw - 4px);
    display: table-row;
    height: calc(100vh - 64px);
}

.selection-dropdown-filled .dropdown-item:active {
	background-color: #b51d24;
	color: #FFF;
}

.selection-dropdown-filled .dropdown-item:focus {
	outline: none;
}